Skip to content
Start here

Get Custom Hostname Quota

custom_hostnames.quota.get(QuotaGetParams**kwargs) -> QuotaGetResponse
GET/zones/{zone_id}/custom_hostnames/quota

Returns custom hostname quota usage for a zone. The allocated quota is a soft limit; creating custom hostnames after usage exceeds this limit can still succeed until the hard cap is reached. Use the exceeded and hard_cap fields to track when usage is above the soft limit and when new custom hostname creation will be rejected.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SSL and Certificates WriteSSL and Certificates Read
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
ReturnsExpand Collapse
class QuotaGetResponse:
allocated: int

The allocated custom hostname quota.

formatint64
exceeded: bool

Whether the current usage has exceeded the allocated quota.

hard_cap: int

The maximum number of custom hostnames allowed before create requests are rejected.

formatint64
used: int

The number of custom hostnames currently in use.

formatint64

Get Custom Hostname Quota

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
quota = client.custom_hostnames.quota.get(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(quota.allocated)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true,
  "result": {
    "allocated": 100,
    "exceeded": false,
    "hard_cap": 200,
    "used": 50
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "success": true,
  "result": {
    "allocated": 100,
    "exceeded": false,
    "hard_cap": 200,
    "used": 50
  }
}